## org.apache.cassandra.net
Class OutboundTcpConnection

    java.lang.Object
      java.lang.Thread
          org.apache.cassandra.net.OutboundTcpConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class OutboundTcpConnection

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`OutboundTcpConnection(java.net.InetAddress remoteEp)`

Method Summary
`void` `closeSocket()`
`void` `run()`
`void` `write(java.nio.ByteBuffer buffer)`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutboundTcpConnection

    public OutboundTcpConnection(java.net.InetAddress remoteEp)

Method Detail

### write

    public void write(java.nio.ByteBuffer buffer)

### closeSocket

    public void closeSocket()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Copyright © 2010 The Apache Software Foundation